---
 drivers/md/dm-thin.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: linux-3.1-rc9/drivers/md/dm-thin.c
===================================================================
--- linux-3.1-rc9.orig/drivers/md/dm-thin.c
+++ linux-3.1-rc9/drivers/md/dm-thin.c
@@ -921,7 +921,7 @@ static void cell_defer_except(struct thi
 	wake_worker(pool);
 }
 
-static void retry_later(struct bio *bio)
+static void retry_on_resume(struct bio *bio)
 {
 	struct thin_c *tc = dm_get_mapinfo(bio)->ptr;
 	struct pool *pool = tc->pool;
@@ -1002,7 +1002,7 @@ static void no_space(struct cell *cell)
 	cell_release(cell, &bios);
 
 	while ((bio = bio_list_pop(&bios)))
-		retry_later(bio);
+		retry_on_resume(bio);
 }
 
 static void break_sharing(struct thin_c *tc, struct bio *bio, dm_block_t block,
